#include "$CurrentDir:mpmissions\mission.NHChernobyl\scripts\vybros.c"
ref Vybros m_Vybros = new Vybros();
void main()
{
	//INIT WEATHER BEFORE ECONOMY INIT------------------------
    Weather weather = g_Game.GetWeather();
    weather.MissionWeather(false);    // false = use weather controller from Weather.c

    weather.GetOvercast().SetLimits( 0.3 , 1.0 );
    weather.GetRain().SetLimits(0.0, 0.5);
    weather.GetFog().SetLimits(0.1, 0.28);

    weather.GetOvercast().SetForecastChangeLimits(1.0, 1.0);
    weather.GetRain().SetForecastChangeLimits(0.0, 0.06);
    weather.GetFog().SetForecastChangeLimits(0.10, 0.30);

    weather.GetOvercast().SetForecastTimeLimits(1800, 1800);
    weather.GetRain().SetForecastTimeLimits(250, 500);
    weather.GetFog().SetForecastTimeLimits(1800, 1800);

    weather.GetOvercast().Set(Math.RandomFloatInclusive(0.3, 0.4), 0, 0);
    weather.GetRain().Set(Math.RandomFloatInclusive(0.0, 0.2), 0, 0);
    weather.GetFog().Set(Math.RandomFloatInclusive(0, 1), 0, 0);

    weather.SetWindMaximumSpeed(30);
    weather.SetWindFunctionParams(0.1, 1.0, 50);

	//INIT ECONOMY--------------------------------------
	Hive ce = CreateHive();
	if ( ce )
		ce.InitOffline();

	//DATE RESET AFTER ECONOMY INIT-------------------------
	int year, month, day, hour, minute;
	int reset_month = 9, reset_day = 20;
	GetGame().GetWorld().GetDate(year, month, day, hour, minute);

    if ((month == reset_month) && (day < reset_day))
    {
        GetGame().GetWorld().SetDate(year, reset_month, reset_day, hour, minute);
    }
    else
    {
        if ((month == reset_month + 1) && (day > reset_day))
        {
            GetGame().GetWorld().SetDate(year, reset_month, reset_day, hour, minute);
        }
        else
        {
            if ((month < reset_month) || (month > reset_month + 1))
            {
                GetGame().GetWorld().SetDate(year, reset_month, reset_day, hour, minute);
            }
        }
    }
}
class CustomMission: MissionServer
{
	void SetRandomHealth(EntityAI itemEnt)
	{
		if ( itemEnt )
		{
			int rndHlt = Math.RandomInt(55,100);
			itemEnt.SetHealth("","",rndHlt);
		}
	}
	override PlayerBase CreateCharacter(PlayerIdentity identity, vector pos, ParamsReadContext ctx, string characterName)
    {
        Entity playerEnt;
        playerEnt = GetGame().CreatePlayer(identity,characterName, "2956.500000 103.021805 19053.699219", 0, "NONE");
        Class.CastTo( m_player, playerEnt );

        GetGame().SelectPlayer( identity, m_player );

        return m_player;
    }

	
	override void StartingEquipSetup(PlayerBase player, bool clothesChosen)
	{
		player.RemoveAllItems();
		EntityAI itemTop;
		EntityAI itemEnt;
		ItemBase itemBs;
		float rand;

		itemTop = player.FindAttachmentBySlotName("Body");


			string hatArray[] = {  "BeanieHat_Brown", "BaseballCap_Black",  "LoH_BaseballCapII_olive", "BeanieHat_Black" };
			int rndIndex = Math.RandomInt(0, 4);
			itemEnt = player.GetInventory().CreateInInventory(hatArray[rndIndex]);
			
			string bodyArray[] = { "LoH_LonerJacketHud", "SGE_Loner_Sweater_Grey", "SGE_Loner_Beginner_Jacket", "SGE_Loner_Beginner_Jacket_Camo" };
			int rnd1Index = Math.RandomInt(0, 4	);
			itemEnt = player.GetInventory().CreateInInventory(bodyArray[rnd1Index]);
			
			string pantsArray[] = { "Jeans_Grey", "Jeans_BlueDark" };
			int rnd2Index = Math.RandomInt(0, 2);
			itemEnt = player.GetInventory().CreateInInventory(pantsArray[rnd2Index]);
			
			string legArray[] = { "HikingBoots_Brown", "HikingBoots_Black" };
			int rnd3Index = Math.RandomInt(0, 2);
			itemEnt = player.GetInventory().CreateInInventory(legArray[rnd3Index]);
			
			string shoulderArray[] = { "Izh18Shotgun", "SawedoffIzh43Shotgun" };
			int rnd4Index = Math.RandomInt(0, 2);
			itemEnt = player.GetInventory().CreateInInventory(shoulderArray[rnd4Index]);

			player.GetInventory().CreateInInventory("HuntingKnife");		// Выдаем игроку ножик в любой
			player.GetInventory().CreateInInventory("dp_kpk_stalker");	// Выдаем игроку кпк в любой с
			player.GetInventory().CreateInInventory("Battery9V");	// Выдаем игроку батарейку в любой сво
			player.GetInventory().CreateInInventory("Battery9V");	// Выдаем игроку батарейку в любой сво
			player.GetInventory().CreateInInventory("PurificationTablets");
			player.GetInventory().CreateInInventory("Canteen");				//Вода
			player.GetInventory().CreateInInventory("MakarovIJ70");                 // Макаров
			player.GetInventory().CreateInInventory("BandageDressing");                       //Тряпки
			player.GetInventory().CreateInInventory("Mag_IJ70_8Rnd");        // Магазин для Макрова
			player.GetInventory().CreateInInventory("Mag_IJ70_8Rnd");        // Магазин для Макрова
			player.GetInventory().CreateInInventory("AmmoBox_00buck_10rnd");
			player.GetInventory().CreateInInventory("AmmoBox_00buck_10rnd");      //Коробка 380
			player.GetInventory().CreateInInventory("LoH_Dozimetr");
	}	
};

Mission CreateCustomMission(string path)
{
	return new CustomMission();
}